Полезная информация

В мире Mozilla происходит много интересных событий. Но вам не нужно постоянно посещать новостные сайты, чтобы быть в курсе всех изменений. Зайдите на ленту новостей Mozilla Россия.

№115-08-2015 14:06:08

gggd
Участник
 
Группа: Members
Зарегистрирован: 13-08-2015
Сообщений: 12
UA: Firefox 41.0

Требуется совет по отключению проверки совместимости расширений в бете

Доброго времени суток, коллеги. Не удается отключить проверку совместимости расширений в бете 41.0b1 по известным рекомендациям путем создания параметра extensions.checkCompatibility.41.0b1;false
Буду безгранично признателен, если найдете время дать рекомендации по решению вышеприведенной проблемы. Благодарю за внимание.

Отсутствует

 

№215-08-2015 14:21:51

butcherxxl
Участник
 
Группа: Members
Зарегистрирован: 04-11-2007
Сообщений: 334
UA: Firefox 43.0

Re: Требуется совет по отключению проверки совместимости расширений в бете

xpinstall.signatures.required;false

Отсутствует

 

№315-08-2015 14:32:14

gggd
Участник
 
Группа: Members
Зарегистрирован: 13-08-2015
Сообщений: 12
UA: Firefox 41.0

Re: Требуется совет по отключению проверки совместимости расширений в бете

butcherxxl пишет

xpinstall.signatures.required;false

Исключительно Вам признателен за оперативный и эффективный совет, но остались 2 несовместимых расширения. Замечено было следующее после изменения параметра на extensions.checkCompatibility.41.0;false - после включения расширений и перезапуска браузера, параметр превращается в строку с пустым полем или вовсе исчезает, соответственно, эти 2 расширения снова отключены.

Отсутствует

 

№415-08-2015 17:20:55

Vladimir_S
Участник
 
Группа: Extensions
Откуда: Санкт-Петербург
Зарегистрирован: 19-09-2008
Сообщений: 4493
UA: Firefox 42.0

Re: Требуется совет по отключению проверки совместимости расширений в бете

gggd пишет

остались 2 несовместимых расширения.

Это значит, что расширения несовместимы с новой версией браузера функционально, и никакие шаманства, включая танцы с бубном, тут не помогут. Ищите замену этим расширениям - сами или с помощью нашего форума.


"Большинство философов до сих пор придерживается весьма нефилософских воззрений на многие вопросы философии" Эдгар Аллан По

Отсутствует

 

№515-08-2015 18:18:40

gggd
Участник
 
Группа: Members
Зарегистрирован: 13-08-2015
Сообщений: 12
UA: Firefox 41.0

Re: Требуется совет по отключению проверки совместимости расширений в бете

Vladimir_S пишет
gggd пишет

остались 2 несовместимых расширения.

Это значит, что расширения несовместимы с новой версией браузера функционально, и никакие шаманства, включая танцы с бубном, тут не помогут. Ищите замену этим расширениям - сами или с помощью нашего форума.

Благодарю, займусь поиском. Больше вопросов не имею на данный момент.

Отсутствует

 

№615-08-2015 20:42:33

WatsonRus
Участник
 
Группа: Members
Зарегистрирован: 10-03-2009
Сообщений: 286
UA: Mozilla 1.7

Re: Требуется совет по отключению проверки совместимости расширений в бете

gggd пишет

параметр превращается в строку с пустым полем или вовсе исчезает

Потому что параметру с циферками давно пора на свалку истории. А его по-прежнему везде советуют по привычке.

extensions.strictCompatibility;false

для старых, но работающих расширений
extensions.minCompatibleAppVersion;3.5  строковый     
extensions.minCompatiblePlatformVersion;1.8 строковый

для найтли еще
extensions.checkCompatibility.nightly;false
или
nightly.disableCheckCompatibility;true

ну и новомодный
xpinstall.signatures.required;false

Все, один раз сделал и давным-давно забыл про понятие "совместимость". То, что все-таки отвалилось (как в вашем примере), отваливается насовсем не из-за проблем несовместимости, а из-за функционала.

Отредактировано WatsonRus (15-08-2015 20:43:09)


Firefox ESR

Отсутствует

 

Board footer

Powered by PunBB
Modified by Mozilla Russia
Copyright © 2004–2020 Mozilla Russia GitHub mark
Язык отображения форума: [Русский] [English]